Update a geographic location
PUT
/portfolio/geographic-locations/{geographicLocation}Updates the name and enabled status of an existing geographic location.
Path parameters
The geographic location ID
Request body
application/json, required · PortfolioEditGeographicLocation
{
"name": "string",
"enabled": true
}Responses
200
{}404
Not found
422
Validation error
Examples
curl -X PUT https://your-org-domain/kong/core/api/v2/portfolio/geographic-locations/{geographicLocation}\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"\
-d '{
"name": "string",
"enabled": true
}'